Overview
POST
/monitoring/site-groupsmonitoringCreate site_groups
Create a record in site-groups.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- namestring
- slugstring
- descriptionoptionalstring?
- retentionDaysoptionalinteger
- displayOrderoptionalinteger
Example
{
"name": "string",
"slug": "string",
"description": "string",
"retentionDays": 0,
"displayOrder": 0
}Responses
201
site_groups
- idstring
- userIdstring
- ownerKindstring
- ownerIdstring
- namestring
- slugstring
- descriptionstring?
- retentionDaysinteger
- displayOrderinteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"name": "string",
"slug": "string",
"description": "string",
"retentionDays": 0,
"displayOrder": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/monitoring/site-groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"slug": "string",
"description": "string",
"retentionDays": 0,
"displayOrder": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/site-groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"name\": \"string\",\n \"slug\": \"string\",\n \"description\": \"string\",\n \"retentionDays\": 0,\n \"displayOrder\": 0\n}",
});
const data = await res.json();